/*
 * Copyright (C) 2013 Darth Affe <http://wyrez.org> and contributors
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package org.wyrez.shootingstars.states;

import com.jme3.app.Application;
import com.jme3.app.state.AbstractAppState;
import com.jme3.app.state.AppStateManager;
import org.wyrez.shootingstars.ShootingStars;
import org.wyrez.shootingstars.gui.Gui;
import org.wyrez.shootingstars.gui.MenuGUI;
import org.wyrez.shootingstars.gui.listener.MenuListener;
import tonegod.gui.core.Screen;

/**
 *
 * @author Darth Affe
 */
public class MenuState extends AbstractAppState implements MenuListener {

    private StateManager stateManager;
    private Gui gui;
    private ShootingStars shootingStars;

    public MenuState(Screen screen, StateManager stateManager, ShootingStars shootingStars) {
        this.stateManager = stateManager;
        this.gui = new MenuGUI(screen, this);
        this.shootingStars = shootingStars;
    }

    public void selectFile() {
        stateManager.setState(State.SELECTTRACK);
    }

    public void exitGame() {
        shootingStars.stop();
    }
    
    public void openhighscore() {
        stateManager.setState(State.HIGHSCORE);
    }

    public void openOptions() {
        stateManager.setState(State.OPTIONS);
    }

    @Override
    public void stateAttached(AppStateManager stateManager) {
        gui.attach();
    }

    @Override
    public void stateDetached(AppStateManager stateManager) {
        gui.detach();
    }

    @Override
    public void update(float tpf) {
    }
}
